import request from '@/utils/request'

export function tableInfoList(data) {
  return request({
    url: '/tableInfo/tableInfoList',
    method: 'post',
    data: data,
    baseURL:process.env.VUE_APP_BASE_API2
  })
}


export function removeTable(tableName) {
  return request({
    url: '/tableInfo/removeTable/' + tableName,
    method: 'delete',
    baseURL:process.env.VUE_APP_BASE_API2
  })
}

export function tableInfo(tableName) {
  return request({
    url: '/tableInfo/tableFieldInfo?tableName=' + tableName,
    method: 'get',
    baseURL:process.env.VUE_APP_BASE_API2
  })
}

export function editTable(data) {
  return request({
    url: '/tableInfo/editTable',
    method: 'post',
    data: data,
    baseURL:process.env.VUE_APP_BASE_API2
  })
}
